org.jbpm.services.task.commands

## Class CompleteTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
    - - org.jbpm.services.task.commands.CompleteTaskCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<Void>, org.kie.api.command.Command<Void>

      public class CompleteTaskCommand
      extends UserGroupCallbackTaskCommand<Void>

  Operation.Start : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner ], setNewOwnerToUser = true, newStatus = Status.InProgress }, new OperationCommand().{ status = [ Status.Reserved ], allowed = [ Allowed.Owner ], newStatus = Status.InProgress } ], *
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `data`

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompleteTaskCommand()`
    `CompleteTaskCommand(long taskId, String userId, Map<String,Object> data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.internal.command.Context cntxt)`
    `Map<String,Object>` | `getData()`
    `void` | `setData(Map<String,Object> data)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected Map<String,Object> data

  - ### Constructor Detail

    - #### CompleteTaskCommand

          public CompleteTaskCommand()

    - #### CompleteTaskCommand

          public CompleteTaskCommand(long taskId,
                             String userId,
                             Map<String,Object> data)

  - ### Method Detail

    - #### getData

          public Map<String,Object> getData()

    - #### setData

          public void setData(Map<String,Object> data)

    - #### execute

          public Void execute(org.kie.internal.command.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.GenericCommand<Void>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Void>`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.